# Poco::Data::PostgreSQL

# class OutputParameter

Library: Data/PostgreSQL
Package: PostgreSQL
Header: Poco/Data/PostgreSQL/PostgreSQLTypes.h

## Description

PostgreSQL class to record values for output parameters to capture the results

## Member Summary

Member Functions: fieldType, internalFieldType, isNull, pData, rowNumber, setValues, size

## Types Aliases

### CDT

using CDT = Poco::Data::MetaColumn::ColumnDataType;

## Constructors

### OutputParameter

OutputParameter();

### OutputParameter

OutputParameter(
CDT aFieldType,
Oid internalFieldType,
std::size_t rowNumber,
const char * dataPtr,
std::size_t size,
bool isNull
);

## Destructor

### ~OutputParameter

~OutputParameter();

## Member Functions

### fieldType

CDT fieldType() const;

### internalFieldType

Oid internalFieldType() const;

### isNull

bool isNull() const;

### pData

const char * pData() const;

### rowNumber

std::size_t rowNumber() const;

### setValues

void setValues(
CDT fieldType,
Oid internalFieldType,
std::size_t rowNumber,
const char * dataPtr,
std::size_t size,
bool isNull
);

### size

std::size_t size() const;